<@ include "lib/macros.html" -@> <@ extends "api/api.template.html" @> <@ block additional @> <@ if doc.usage @> ## Usage <$ doc.usage $> <@ endif @> <@ if doc.params or doc.returns or doc.this or doc.kind == 'function' -@>

## Usage

<@ if doc.usage @> <$ doc.usage $> <@ else @> <$ functionSyntax(doc) $> <@ endif @> <$ paramTable(doc.params) $> <@ include "lib/this.template.html" @> <@ include "lib/returns.template.html" @> <@- endif @> <@ include "lib/methods.template.html" @> <@ include "lib/events.template.html" @> <@ include "lib/properties.template.html" @> <@ endblock @>